Endpoint
GET https://api.stepfun.ai/v1/models
Request parameters
None.Response
Returns a list of Model objects.Example
- python
- js
- curl
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
GET https://api.stepfun.ai/v1/models
from openai import OpenAI
client = OpenAI(api_key="YOUR_STEP_API_KEY", base_url="https://api.stepfun.ai/v1")
print(client.models.list())
import OpenAI from "openai";
const openai = new OpenAI({
apiKey: "YOUR_STEP_API_KEY",
baseURL: "https://api.stepfun.ai/v1"
});
async function main() {
const list = await openai.models.list();
for await (const model of list) {
console.log(model);
}
}
main();
curl https://api.stepfun.ai/v1/models \
-H "Authorization: Bearer $STEP_API_KEY"
{
"object": "list",
"data": [
{
"id": "step-5-preview",
"object": "model",
"created": 1789747200,
"owned_by": "stepai"
},
{
"id": "stepaudio-2.5-tts",
"object": "model",
"created": 1776089669,
"owned_by": "stepai"
}
]
}
Was this page helpful?
